#!/bin/sh
namespace=cowiki

wikidir=/var/lib/dokuwiki/pages

dir=$wikidir/$namespace
xml=$1
if [ "$2" ]; then
	id=$2
	page=$id
else
	page=$(basename $xml .xml)
fi
file=$dir/$page.txt
echo "parsing into $file"
xsltproc --param id "$id" --xinclude cowiki.xsl $xml > $file
chmod a+rw $file
